> ## Documentation Index
> Fetch the complete documentation index at: https://docs.turncall.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Skills

> The project's skill versions, newest first; `name` lists one skill's
versions, `state=published` the live ones.



## OpenAPI

````yaml /openapi.json get /v1/skills
openapi: 3.1.0
info:
  title: TurnCall
  description: Production voice agent platform API
  version: 2.1.1
servers: []
security: []
paths:
  /v1/skills:
    get:
      tags:
        - skills
      summary: List Skills
      description: |-
        The project's skill versions, newest first; `name` lists one skill's
        versions, `state=published` the live ones.
      operationId: list_skills_v1_skills_get
      parameters:
        - name: name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                pattern: ^[a-z_][a-z0-9_]*$
              - type: 'null'
            title: Name
        - name: state
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                pattern: ^(draft|published|archived)$
              - type: 'null'
            title: State
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: Response List Skills V1 Skills Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.